SELECT
  'Nazwa zadania    : ' || f.task_name || CHR(10) ||
  'Czas uruchomienia: ' || TO_CHAR(execution_start, 'dd-mon-yy hh24:mi') || chr (10) ||
  'Nazwa segmentu   : ' || o.attr2     || CHR(10) ||
  'Typ segmentu     : ' || o.type      || CHR(10) ||
  'Nazwa partycji   : ' || o.attr3     || CHR(10) ||
  'Komunikat        : ' || f.message   || CHR(10) ||
  'Wicej informacji: ' || f.more_info || CHR(10) ||
  '------------------------------------------------------' Porada
FROM
  dba_advisor_findings   f,
  dba_advisor_objects    o,
  dba_advisor_executions e
WHERE
  o.task_id = f.task_id
  AND   o.object_id = f.object_id
  AND   f.task_id = e.task_id
  AND   e. execution_start > sysdate - 1
  AND   e.advisor_name = 'Segment Advisor'
ORDER BY f.task_name;

select bytes from user_segments where segment_name = 'PRACOWNICY_IDX1';

alter index pracownicy_idx1 rebuild;

alter index pracownicy_idx1 shrink space;

alter session set ddl_lock_timeout=15;

alter index pracownicy_idx1 rebuild tablespace inv_index;

alter index pracownicy_idx1 shrink space compact;

alter index pracownicy_idx1 coalesce;